Package com.sap.ai.sdk.core.client

# Class KpiApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.KpiApi

public class KpiApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KpiApi()`
  Instantiates this API class to invoke operations on the AI Core
  `KpiApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KpiResultSet`
  `get()`
  Get KPIs
  `KpiResultSet`
  `get(Set<KpiColumnName> $select)`
  Get KPIs
  `KpiApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KpiApi

    public KpiApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### KpiApi

    public KpiApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public KpiApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### get

    @Nonnull public KpiResultSet get(@Nullable Set<KpiColumnName> $select) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get KPIs

    Retrieve the number of executions, artifacts, and deployments for each resource group, scenario, and executable. The columns to be returned can be specified in a query parameter.

    200 - KPIs

    400 - Invalid request

    404 - The specified resource was not found

    429 - Too many requests

    Parameters:
      `$select` - (optional) Columns to select
    Returns:
      KpiResultSet
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public KpiResultSet get() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get KPIs

    Retrieve the number of executions, artifacts, and deployments for each resource group, scenario, and executable. The columns to be returned can be specified in a query parameter.

    200 - KPIs

    400 - Invalid request

    404 - The specified resource was not found

    429 - Too many requests

    Returns:
      KpiResultSet
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API